
//This code was adapted from a project found at the following website https://create.arduino.cc/projecthub/viorelracoviteanu/useless-box-with-arduino-d67b47
//Thanks to 'viorelracoviteanu' for the inspiration! Great project!!

#include <SoftwareServo.h>                          //loads library 'Servo'. Note to work with ATTiny85 this will need to be changed to SoftwareServo.

SoftwareServo  fingerServo;                          //creates servo object 'myservo'. Note - to work with ATTiny85, needs to be changed to SoftwareServo

int switchStatus=0, action=1, vot, randNumber=0;    //creates 'switchStatus' variable and sets to 0; 
                                                    //creates 'action' variable and sets to 1
                                                    //creates 'randNumber' variable and sets to 0

const int ledPin = 2;                              //creates 'ledPin' variable and attaches to microcontroller pin 2
const int SwitchPin = 4;                            //creates 'frontSwitchPin' variable and attaches to microcontroller pin 4
const int fingerServoPin = 0;                       //creates 'handServoPin' variable and attaches to microcontroller pin 0

//..............................................................................................................................
void setup()
{
  //Serial.begin(9600);                              //serial communication not available on ATTiny
  
  pinMode(ledPin, OUTPUT);                         //sets 'ledPin', or pin 13, to output mode
  
  fingerServo.attach(fingerServoPin);                //creates the object 'handservo' and assigns to pin associated with 'handServoPin' 
  fingerServo.write(180);                            //writes to servo 180 degrees
                                               

  randomSeed(analogRead(0));                       //initializes the pseudo-random number generator, causing it to start at an arbitrary
                                                   //point in its random sequence. Utilizing 'analogRead' to initiate the seed with the
}                                                  //state found on an unconnected pin assists with establishing truer randomization 

//................................................................................................................
void loop()
{
  switchStatus = digitalRead(SwitchPin);          //state of switch is read and stored in 'switchStatus'
  action = random(1,4);                           //establishes variable 'action' and 'randomly' sets the value to a number within the range specified

//what follows is 'if' and 'else if' conditional statements.  'If' the random number generated is 1 (the 'condition') complete the code within the {},
//'else if' the number generated is 2 through 16, complete that code associated with the number generated.
  
  if (switchStatus == LOW){
    
    if (action == 1)                             //action - scenario 1
    {
      //Serial.println("Action 1 - slow movement");
      //digitalWrite(13,HIGH);
      //fingerServo.write(75);
      
      for (int i = 180; i >= 35; i--)
      {
        fingerServo.write(i);
        delay(20);
      }
      delay(1000);
      fingerServo.write(26);
      delay(200);
      for (int i = 26; i <=180; i++)
      {
        fingerServo.write(i);
        delay(20);
      }
    action++;
    }
    
   
    else if (action == 2)                        //action - scenario 2
    {
      //Serial.println("Action 2 - fast incomplete sweep");
      
      fingerServo.write(90);
      delay(1000);
      fingerServo.write(180);
      delay(550);
      action++;
    }
    
    else if (action == 3)                        //action - scenario 3
    {
      //Serial.println("Action 3 - fast sweep also");
      fingerServo.write(26);
      delay(650);
      fingerServo.write(180);
      delay(500);
      action++;
    }
   
   // continue writing 'else if' action cases as desired
   //remember to alter the random range at the beginning of the loop 
   //to match the number of scenarios created.
      
  }  //loop closed
  
}
